Blackbaud Direct Marketing

System Requirements

System requirements are subject to change. Please ensure you have the latest information before making any purchase decisions. If you are running any other Blackbaud products, please refer to the System Requirements for those products separately.

Last updated: May 26, 2020

Standalone/workstation supported versions

Browser

Internet Explorer 11.0 or higher; latest versions of Firefox, Safari, Chrome, and Microsoft Edge.

Note: Ensure that your browsers have been upgraded to support TLS 1.1 and higher. See operating systems and browsers that support TLS 1.1. Also, notify your constituents to upgrade their browsers to TLS 1.1 supported versions to ensure continuity of communications and transactions. For more information, see our Best Practices Guide for sharing TLS requirements with your donors.

Processor (CPU)

Intel Pentium/Celeron family, 2Ghz clock speed or faster

Memory (RAM)

Minimum requirements for your operating system.

Disk space

150 MB minimum for processing activities and download cache

Display

SVGA (1024 x 768 minimum). Text and browser zoom of 100%.

Network

Connection via HTTPS to the application web server.

Internet connection

Broadband (business grade cable modem or DSL).

Database server supported versions

Operating system

Windows Server 2008 R2 SP1 or higher. Windows Server 2012 R2 with IIS 8.0 or 8.5.

Processor (CPU)

Please contact Blackbaud to determine the requirements for your specific configuration.

Memory (RAM)

Please contact Blackbaud to determine the requirements for your specific configuration.

Transactional database
  • SQL Server 2012 Standard
  • SQL Server 2012 Enterprise
  • SQL Server 2014 Standard
  • SQL Server 2014 Enterprise

Note: Blackbaud Direct Marketing 4.0 must be installed on SQL Server 2012 or 2014, but it can communicate with a Raiser’s Edge instance installed on SQL Server 2008.

SQL Server 2012 Enterprise SP4 with compatibility level 110. SQL Server 2014 Enterprise SP1 with compatibility level 110 or SP2 with compatibility level 110. Compatibility level 120 is not supported.

Web server supported versions

Operating system

Windows Server 2008 R2 SP1 or higher with IIS 7.5. Windows Server 2012 R2 with IIS 8.0 or IIS 8.5. .NET Framework 4.5.2. 64-bit supported on x64 hardware.

Network security

Blackbaud recommends Transport Layer Security (TLS) if you connect over a public non-secure network.

Processor (CPU)
  • Intel Pentium/Celeron family, 3Ghz clock speed or faster. 
  • Minimum 2 logical CPUs. Ex. 2 Physical CPUs, 1 Dual-Core CPUs, 1 Physical CPU w/ Hyperthreading
Scale out
  • Load balancing is supported with single-client affinity.
  • There is no limit to the number of web servers that can be employed for load balancing
Memory (RAM)

2GB minimum

Hard disk

The web server makes minimal use of the disk. Therefore, a high performance disk subsystem is not required on the individual web servers.

Security

Blackbaud recommends securing your web server with Layer Security (TLS) 1.2 or equivalent technology to prevent unauthorized access to transmitted data.

Note: Blackbaud is not responsible for the installation, configuration, or testing of any web-security measures. Blackbaud assumes no responsibility for the security of your web server or any adverse consequences resulting from security issues. Blackbaud software does not establish or modify security on the web server. Refer to Microsoft's web site for specific security measures and NTFS permissions needed by Windows Server 2008 R2, Windows Server 2012 and IIS.

If you are a Blackbaud hosted client, your workstation should support TLS 1.1 or greater.

Compatibility information

Raiser's Edge

Blackbaud Direct Marketing 4.0 is compatible with Raiser’s Edge 7.96 and higher.

Blackbaud NetCommunity

Blackbaud Direct Marketing 4.0 is compatible with Blackbaud NetCommunity 7.1.194 SP3.

 

 

Microsoft Office

The Microsoft Office integration supports Office 2010, Office 2013 and Office 2016.